Delete authority by id
DELETE /obp/dynamic-entity/banks/ogcr/authority/AUTHORITY_ID
OBPv4.0.0-dynamicEntity_deleteauthority_ogcr Roles: CanDeleteDynamicEntityRecord_authority(per bank) _Authority(ogcr)Dynamic-EntityDynamic
Delete authority by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"authority"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"authority_id": "auth_01HZZ4K7Q2M",
"legal_name": "Deutsche Akkreditierungsstelle GmbH",
"authority_type": "national_accreditation_body",
"country_id": "DE",
"department": "DG CLIMA",
"email": "registry@example.eu",
"website": "https://example.eu"
}Example success response
{
"bank_id": "ogcr",
"authority": {
"authority_id": "auth_01HZZ4K7Q2M",
"legal_name": "Deutsche Akkreditierungsstelle GmbH",
"authority_type": "national_accreditation_body",
"country_id": "DE",
"department": "DG CLIMA",
"email": "registry@example.eu",
"website": "https://example.eu"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.